View Issue Details

IDProjectCategoryView StatusLast Update
0003082Ham Radio DeluxeMaintenancepublic2019-02-24 15:13
ReporterPD9FERAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0003082: IC-7610 Volt & Ampere values are wrongly displayed in Rig Control
DescriptionCustomer comment:
On the upper left corner of HRD Rig Control is some information: ALC, PWR, SWR and Squelch
But also VL: 18.5 and ID .0 in receive mode and VL 17.8 and 10,0 in ID.

I have look up the CI-V command list for ICOM IC-7610 that these numbers represent Volt and Current of the transceiver. Could you perhaps in the next version calculate the right Volt and Current?
It seems that the numbers represent 0.151 = 10 Volt and 0.211=16 Volt and 0077=10 amp, 0168=20 amp and 0241=30 amp.
Steps To ReproduceHook up the IC-7610 to Rig Control
Watch the values of the Voltage and Amp Meters compared with the values of those on the Radio screen itself when in Metering Mode.

Additional InformationTicket #497905
TagsIC-7610, ICOM
ModuleRig Control
Sub-ModuleInterfacing
Testing Beta Successful

Relationships

related to 0002698 closedK7ZCZ IC-7300 Vd Inconsistency between radio and HRD Display 

Activities

K7ZCZ

2019-01-22 16:57

administrator   ~0007061

Same problem as 2698 for the IC-7300. Icom seems to indicate a non-linear function between the reported value and the read quantity, but doesn't explain that mapping.

K7ZCZ

2019-02-14 21:47

administrator   ~0007396

Same fix as 2698

g3ucq

2019-02-20 03:12

viewer   ~0007452

Fixed

PD9FER

2019-02-21 06:42

viewer   ~0007465

Customer tells it is fixed but has also a question...
-----------
Thank you very much for your information. I have now installed the Beta Version and now it seems to work
quite good in transmit mode (Id and Vd. In receive mode the id is 0.0 even that it draws 1.7 A for the power supply but the Vd show the voltage.

You have implemented a new information OVF which must be Overflow I presume.....?

WA9PIE

2019-02-21 09:53

administrator   ~0007477

Validated

Issue History

Date Modified Username Field Change
2019-01-21 07:57 PD9FER New Issue
2019-01-21 07:57 PD9FER Tag Attached: IC-7610
2019-01-21 07:57 PD9FER Tag Attached: ICOM
2019-01-22 16:54 K7ZCZ Summary IC-7610 Volt & Ampere vallues are wrongly displayed in Rig Control => IC-7610 Volt & Ampere values are wrongly displayed in Rig Control
2019-01-22 16:57 K7ZCZ Relationship added related to 0002698
2019-01-22 16:57 K7ZCZ Note Added: 0007061
2019-02-14 21:47 K7ZCZ Assigned To => K7ZCZ
2019-02-14 21:47 K7ZCZ Status new => resolved
2019-02-14 21:47 K7ZCZ Resolution open => fixed
2019-02-14 21:47 K7ZCZ Note Added: 0007396
2019-02-17 19:55 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-02-19 19:05 K7ZCZ Fixed in Version => 6.5.0.194
2019-02-20 03:12 g3ucq Note Added: 0007452
2019-02-21 06:42 PD9FER Note Added: 0007465
2019-02-21 09:53 WA9PIE Status resolved => closed
2019-02-21 09:53 WA9PIE Testing Not Started => Beta Successful
2019-02-21 09:53 WA9PIE Note Added: 0007477
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.194 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe